Page MenuHomePhabricator

[Regression wmf.9] Context menu for template and code block is broken, showing no "Edit" button and template name is showing up as "Item"
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open a page
  2. Add a template
  3. Observe the context menu for it

Expected:
The context menu should mention the template name and an edit button.

Observed:
The context menu shows as "Item" only, without any indication, if it's a template, a code block or something else. There is no edit button, too. However, for some objects it's possible to edit it by double clicking it (depending if the object supports this).

Following types has the same problem:

  • Templates
  • Code blocks

While these seems to work very well:

  • Formulas
  • Images
  • Comments
  • Gallery
  • Hieroglyphics
  • Diagram
  • Reference list
  • Reference
  • Links

Event Timeline

Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 15 2015, 11:26 PM
Ryasmeen renamed this task from [Regression wmf 9] Context menu for template is broken , showing no "Edit" button and template name is showing up as "Item" to [Regression wmf 9] Context menu for template and code block is broken , showing no "Edit" button and template name is showing up as "Item" .Dec 15 2015, 11:32 PM
Ryasmeen renamed this task from [Regression wmf 9] Context menu for template and code block is broken , showing no "Edit" button and template name is showing up as "Item" to [Regression wmf .9] Context menu for template and code block is broken , showing no "Edit" button and template name is showing up as "Item" .
Ryasmeen set Security to None.
Florian triaged this task as High priority.Dec 19 2015, 12:26 AM
Florian updated the task description. (Show Details)
Florian added a project: Contributors-Team.
Florian added a subscriber: Jdforrester-WMF.
Florian claimed this task.Dec 19 2015, 1:12 AM

Change 260171 had a related patch set uploaded (by Florianschmidtwelzow):
Fix inheritance of ve.ui.MWTransclusionDialogTool

https://gerrit.wikimedia.org/r/260171

Change 260172 had a related patch set uploaded (by Florianschmidtwelzow):
Fix inheritance of ve.ui.MWSyntaxHighlightDialogTool

https://gerrit.wikimedia.org/r/260172

Change 260171 merged by jenkins-bot:
Fix inheritance of ve.ui.MWTransclusionDialogTool

https://gerrit.wikimedia.org/r/260171

Esanders closed this task as Resolved.Dec 19 2015, 12:02 PM
Esanders added a subscriber: Esanders.

Change 260172 merged by jenkins-bot:
Fix inheritance of ve.ui.MWSyntaxHighlightDialogTool

https://gerrit.wikimedia.org/r/260172

Florian added a subscriber: demon.Dec 19 2015, 12:33 PM

@Esanders: we have a long time no mediawiki train deployment, are we able to SWAT deploy this? It's really annoying to edit with VE and this bug. However, this isn't a security bug and doesn't result in data loss :/

Change 260429 had a related patch set uploaded (by Alex Monk):
Fix inheritance of ve.ui.MWSyntaxHighlightDialogTool

https://gerrit.wikimedia.org/r/260429

Change 260430 had a related patch set uploaded (by Alex Monk):
Fix inheritance of ve.ui.MWTransclusionDialogTool

https://gerrit.wikimedia.org/r/260430

Change 260430 merged by jenkins-bot:
Fix inheritance of ve.ui.MWTransclusionDialogTool

https://gerrit.wikimedia.org/r/260430

Change 260429 merged by jenkins-bot:
Fix inheritance of ve.ui.MWSyntaxHighlightDialogTool

https://gerrit.wikimedia.org/r/260429

The fix was backported and deployed to all Wikimedia wikis today.

Aklapper renamed this task from [Regression wmf .9] Context menu for template and code block is broken , showing no "Edit" button and template name is showing up as "Item" to [Regression wmf .9] Context menu for template and code block is broken, showing no "Edit" button and template name is showing up as "Item".Dec 22 2015, 11:46 AM
Jdforrester-WMF moved this task from TR1: Releases to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF renamed this task from [Regression wmf .9] Context menu for template and code block is broken, showing no "Edit" button and template name is showing up as "Item" to [Regression wmf.9] Context menu for template and code block is broken, showing no "Edit" button and template name is showing up as "Item".Jan 19 2016, 1:07 AM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.